/*
*  clipboard.h 
*
*  Copyright (C) 2010 Richard Christman 
*
*  This file is part of QuickSilver Lite.
*
*  QuickSilver Lite is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by the 
*  Free Software Foundation; either version 3 of the License, or (at your 
*  option) any later version.
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
*  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
*  for more details.
* 
*  You should have received a copy of the GNU General Public License along 
*  with this program; if not, see <http://www.gnu.org/licenses>.
* 
*  Additional permission under GNU GPL version 3 section 7
* 
*  If you modify QuickSilver Lite, or any covered work, by linking or 
*  combining it with CodeGear VCL (or a modified version of that library), 
*  containing parts covered by the terms of CodeGear's license, the licensors 
*  of QuickSilver Lite grant you additional permission to convey the 
*  resulting work.
*
*/

//---------------------------------------------------------------------------
#ifndef clipboardH
#define clipboardH
//---------------------------------------------------------------------------
#include <Forms.hpp>
//---------------------------------------------------------------------------

bool __fastcall ClipboardReply(TForm *Owner, TStrings *Reply, AnsiString TemplateName="",
    LPSTR ReplyMessage=NULL); // use replymessage instead of clipboard
bool __fastcall ReplyToMessage(TForm *Owner, TStrings *Message, AnsiString &TemplateName,
   TStrings *Reply, bool &BadTemplate);

bool __fastcall ClipboardFollowup(TForm *Owner, TStrings *Followup, AnsiString TemplateName="");
bool __fastcall FollowupArticle(TForm *Owner, TStrings *Article, const AnsiString &TemplateName,
   bool reply2, TStrings *Followup);

void __fastcall ClipboardReceive(TForm *Owner);

//---------------------------------------------------------------------------
#endif
