/*
*  smtpmandlgs.h 
*
*  Copyright (C) 2010 Richard Christman 
*
*  This file is part of QuickSilver Lite.
*
*  QuickSilver Lite is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by the 
*  Free Software Foundation; either version 3 of the License, or (at your 
*  option) any later version.
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
*  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
*  for more details.
* 
*  You should have received a copy of the GNU General Public License along 
*  with this program; if not, see <http://www.gnu.org/licenses>.
* 
*  Additional permission under GNU GPL version 3 section 7
* 
*  If you modify QuickSilver Lite, or any covered work, by linking or 
*  combining it with CodeGear VCL (or a modified version of that library), 
*  containing parts covered by the terms of CodeGear's license, the licensors 
*  of QuickSilver Lite grant you additional permission to convey the 
*  resulting work.
*
*/

//---------------------------------------------------------------------------

#ifndef smtpmandlgsH
#define smtpmandlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------

bool __fastcall ManageSMTPServers(TForm *Owner);

class TSMTPManDlg : public TForm
{
__published:	// IDE-managed Components
        TListView *ListView;
        TButton *OkBtn;
        TPopupMenu *PopupMenu1;
        TLabel *Label1;
        TMenuItem *Add1;
        TMenuItem *Delete1;
        TMenuItem *N1;
        TMenuItem *Resizedialog1;
        TMenuItem *Locksize1;
        TButton *HelpBtn;
        TMenuItem *Edit1;
        TButton *DeleteBtn;
        TButton *EditBtn;
        TButton *NewBtn;
        void __fastcall Resizedialog1Click(TObject *Sender);
        void __fastcall Locksize1Click(TObject *Sender);
        void __fastcall PopupMenu1Popup(TObject *Sender);
        void __fastcall Delete1Click(TObject *Sender);
        void __fastcall Add1Click(TObject *Sender);
        void __fastcall HelpBtnClick(TObject *Sender);
        void __fastcall Edit1Click(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall ListViewClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        bool modified;
        AnsiString orgwin;
        TStringList *hosts;
        __fastcall TSMTPManDlg(TComponent* Owner);
        __fastcall virtual ~TSMTPManDlg();
};
//---------------------------------------------------------------------------
//extern PACKAGE TSMTPManDlg *SMTPManDlg;
//---------------------------------------------------------------------------
#endif
